## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObject::XObjectInvalidConversionException Class Reference

`#include <XObject.hpp>`

Inheritance diagram for XObject::XObjectInvalidConversionException:

[legend]
Collaboration diagram for XObject::XObjectInvalidConversionException:

[legend]
List of all members.

## Public Methods

- XObjectInvalidConversionException (eObjectType fromType, eObjectType toType)
- XObjectInvalidConversionException (const XObjectInvalidConversionException &other)
- virtual ~XObjectInvalidConversionException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XObject::XObjectInvalidConversionException::XObjectInvalidConversionException ( | eObjectType fromType,
| eObjectType toType )

XObject::XObjectInvalidConversionException::XObjectInvalidConversionException ( | const XObjectInvalidConversionException & other )

XObject::XObjectInvalidConversionException::~XObjectInvalidConversionException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XObject::XObjectInvalidConversionException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XObject::XObjectException.

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.